import { GraphWidget, IMetric, IWidget, SingleValueWidget } from "aws-cdk-lib/aws-cloudwatch";
import { BaseMonitoringProps, Monitoring, MonitoringScope } from "../../common";
import { MonitoringHeaderWidget } from "../../dashboard";
export interface BillingMonitoringOptions extends BaseMonitoringProps {
}
export interface BillingMonitoringProps extends BillingMonitoringOptions {
}
export declare class BillingMonitoring extends Monitoring {
    readonly title: string;
    readonly costByServiceMetric: IMetric;
    readonly totalCostMetric: IMetric;
    constructor(scope: MonitoringScope, props: BillingMonitoringProps);
    summaryWidgets(): IWidget[];
    widgets(): IWidget[];
    createTitleWidget(): MonitoringHeaderWidget;
    createChargesByServiceWidget(width: number, height: number): GraphWidget;
    createTotalChargesWidget(width: number, height: number): SingleValueWidget;
}
